$sm-factor: 1.2;
$lg-factor: 1.05;

$line-height-base: 1.6;
$line-height-sm: $line-height-base / $sm-factor;
$line-height-lg: $line-height-base * $lg-factor;
// $font-size-base: 1.125rem;

$border-width: 0;

$input-btn-padding-y: .5rem;
$input-btn-padding-x: .75rem;
$input-btn-padding-y-lg: $input-btn-padding-y * $lg-factor;
$input-btn-padding-x-lg: $input-btn-padding-x * $lg-factor;
$input-btn-padding-y-sm: $input-btn-padding-y / $sm-factor;
$input-btn-padding-x-sm: $input-btn-padding-x / $sm-factor;

$border-radius: 4px !default;
$border-radius-lg: $border-radius * $lg-factor;
$border-radius-sm: $border-radius / $sm-factor;

$primary: #FF00EB;
$purple: #4c00ff;
$red: #FF4747;
$green: #00c32d;


$main-dark: #212529;
$card-bg: darken($main-dark, 6);

$input-bg: lighten($main-dark, 2);
$input-group-addon-bg: $input-bg;
$text-color: lighten($main-dark, 80);
$body-color: $text-color;
$input-color: $text-color;

@import "./node_modules/bootstrap/scss/bootstrap";

@mixin autofill-color($input-bg) {
  input:-webkit-autofill,
  textarea:-webkit-autofill,
  select:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 1000px $input-bg inset !important;
    -webkit-text-fill-color: $text-color;
  }
}

.card-shadow {
  box-shadow: 0 10px 100px 50px rgba(0, 0, 0, 0.16),
  0 15px 10px -2px rgba(0, 0, 0, 0.16),
  0 17px 7px -14px rgba(0, 0, 0, 0.16);
}

.btn-gradient-primary {
  background-image: linear-gradient(217deg, transparentize($primary, 0.2), transparentize($primary, 1) 70.71%),
  linear-gradient(127deg, transparentize($purple, 0.2), transparentize($purple, 1) 70.71%),
  linear-gradient(336deg, transparentize($red, 0.2), transparentize($red, 1) 70.71%);
  background-repeat: no-repeat;
  background-size: cover;
}

.main-content {
  width: 640px;
}

input.form-control {
  background-color: $input-bg;
}

#togglePassword {
  cursor: pointer;
}

.main-card {
  @media screen {
    @media (max-width: 767px) {
      border-radius: 0;
      box-shadow: none;
      background: none;
    }
  }
}


.bodyWrapper {
  @media screen {
    @media (min-width: 768px) {
      background-color: $main-dark;
    }
    @media (max-width: 767px) {
      background-color: $card-bg;
    }
  }
}

@include autofill-color($input-bg);

body {
  color: $text-color;
}

h1 {
  @extend .text-primary;
}

.alert-error {
  @extend .alert-danger;
}

label.control-label {
  @extend .d-none;
}

#kc-info {
  @extend .text-muted;
}

textarea:focus, input:focus {
  color: $text-color;
}

#kc-locale-wrapper {
  @media screen {
    @media (max-width: 767px) {
      position: absolute;
      top: -52px;
      right: 0;
      padding-top: 1rem;
      padding-right: 1rem;
    }
  }
}

.logo-text {
  color: $primary;
  letter-spacing: 6px;

  @extend .ml-2;
}

#kc-social-providers {
  @extend .mt-3;
  @extend .mb-2;
}
